# HG changeset patch
# Node ID 092ab1bfb002
# Parent  a1b935298710
diff --git a/libpurple/protocols/bonjour/bonjour_ft.c b/libpurple/protocols/bonjour/bonjour_ft.c
--- a/libpurple/protocols/bonjour/bonjour_ft.c
+++ b/libpurple/protocols/bonjour/bonjour_ft.c
@@ -24,8 +24,6 @@
 
 #include <sys/types.h>
 
-#include <nice.h>
-
 #include <purple.h>
 
 #include "bonjour.h"
@@ -938,7 +936,8 @@
 
 	purple_xfer_set_local_port(xfer, port);
 
-	local_ips = nice_interfaces_get_local_ips(FALSE);
+	# warning Need to figure out how to get the local ip addresses
+	local_ips = NULL;
 
 	port_str = g_strdup_printf("%hu", port);
 	while(local_ips) {
diff --git a/libpurple/protocols/bonjour/meson.build b/libpurple/protocols/bonjour/meson.build
--- a/libpurple/protocols/bonjour/meson.build
+++ b/libpurple/protocols/bonjour/meson.build
@@ -35,7 +35,7 @@
 	bonjour_prpl = shared_library('bonjour', BONJOUR_SOURCES,
 	    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-Bonjour"'],
 	    link_args : bonjour_link_args,
-	    dependencies : [libxml, avahi, libpurple_dep, glib, nice, ws2_32],
+	    dependencies : [libxml, avahi, libpurple_dep, glib, ws2_32],
 	    install : true, install_dir : PURPLE_PLUGINDIR)
 
 	devenv.append('PURPLE_PLUGIN_PATH', meson.current_build_dir())
diff --git a/libpurple/protocols/jabber/meson.build b/libpurple/protocols/jabber/meson.build
--- a/libpurple/protocols/jabber/meson.build
+++ b/libpurple/protocols/jabber/meson.build
@@ -100,7 +100,7 @@
 	jabber_prpl = shared_library('jabber', JABBER_SOURCES,
 	    c_args : ['-DG_LOG_USE_STRUCTURED', '-DG_LOG_DOMAIN="Purple-XMPP"'],
 	    link_args : jabber_link_args,
-	    dependencies : [gstreamer, idn, libxml, sasl, libpurple_dep, libsoup, glib, gio, math, nice, ws2_32],
+	    dependencies : [gstreamer, idn, libxml, sasl, libpurple_dep, libsoup, glib, gio, math, ws2_32],
 	    install : true, install_dir : PURPLE_PLUGINDIR)
 
 	devenv.append('PURPLE_PLUGIN_PATH', meson.current_build_dir())
diff --git a/libpurple/protocols/jabber/si.c b/libpurple/protocols/jabber/si.c
--- a/libpurple/protocols/jabber/si.c
+++ b/libpurple/protocols/jabber/si.c
@@ -29,8 +29,6 @@
 
 #include <glib/gi18n-lib.h>
 
-#include <nice.h>
-
 #include <purple.h>
 
 #include "buddy.h"
@@ -1037,15 +1035,10 @@
 	if (jsx->service) {
 		gchar *public_ip;
 
-		/* Include the localhost's IPs (for in-network transfers) */
-		local_ips = nice_interfaces_get_local_ips(FALSE);
-
 		/* Include the public IP (assuming there is a port mapped somehow) */
 		public_ip = purple_network_get_my_ip_from_gio(
 		        G_SOCKET_CONNECTION(jsx->js->stream));
-		if (!purple_strequal(public_ip, "0.0.0.0") &&
-		    g_list_find_custom(local_ips, public_ip, (GCompareFunc)g_strcmp0) ==
-		            NULL) {
+		if (!purple_strequal(public_ip, "0.0.0.0")) {
 			local_ips = g_list_append(local_ips, public_ip);
 		} else {
 			g_free(public_ip);
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -244,13 +244,6 @@
 conf.set('ENABLE_INTROSPECTION', enable_introspection)
 
 #######################################################################
-# Check for libnice
-#######################################################################
-nice = dependency('nice',
-	version : '>=0.1.13',
-	allow_fallback : get_option('build-dependencies'))
-
-#######################################################################
 # Check Pidgin dependencies
 #######################################################################
 if get_option('gtkui')
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -220,7 +220,6 @@
 		json,
 		libadwaita,
 		math,
-		nice,
 		libsoup,
 		talkatu_dep,
 		libpurple_dep,
diff --git a/pidgin/prefs/pidginnetworkprefs.c b/pidgin/prefs/pidginnetworkprefs.c
--- a/pidgin/prefs/pidginnetworkprefs.c
+++ b/pidgin/prefs/pidginnetworkprefs.c
@@ -25,7 +25,6 @@
 #include <purple.h>
 
 #include <adwaita.h>
-#include <nice.h>
 
 #include "pidginnetworkprefs.h"
 #include "pidginprefsinternal.h"
@@ -123,13 +122,7 @@
 				/* Attempt to get the IP from a NAT device using NAT-PMP */
 				ip = purple_pmp_get_public_ip();
 				if (ip == NULL) {
-					/* Just fetch the first IP of the local system */
-					list = nice_interfaces_get_local_ips(FALSE);
-					if (list) {
-						ip = list->data;
-					} else {
-						ip = "0.0.0.0";
-					}
+					ip = "0.0.0.0";
 				}
 			}
 		}
diff --git a/subprojects/libnice.wrap b/subprojects/libnice.wrap
deleted file mode 100644
--- a/subprojects/libnice.wrap
+++ /dev/null
@@ -1,9 +0,0 @@
-[wrap-file]
-directory = libnice-0.1.19
-source_url = https://libnice.freedesktop.org/releases/libnice-0.1.19.tar.gz
-source_filename = libnice-0.1.19.tar.gz
-source_hash = 6747af710998cf708a2e8ceef51cccd181373d94201dd4b8d40797a070ed47cc
-
-[provide]
-dependency_names = nice
-nice=libnice_dep
\ No newline at end of file
